<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>8.0.30703</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{B982916F-F2F1-4975-89A6-C8BACDC65542}</ProjectGuid>
    <OutputType>Library</OutputType>
    <RootNamespace>Ntp.Data.Provider</RootNamespace>
    <AssemblyName>Ntp.Data.Provider</AssemblyName>
    <ReleaseVersion>0.6.2</ReleaseVersion>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\bin</OutputPath>
    <DefineConstants>DEBUG;MYSQL;PGSQL;</DefineConstants>
    <WarningLevel>4</WarningLevel>
    <ConsolePause>false</ConsolePause>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <Optimize>true</Optimize>
    <OutputPath>..\bin</OutputPath>
    <WarningLevel>4</WarningLevel>
    <ConsolePause>false</ConsolePause>
    <DefineConstants>MYSQL;PGSQL;</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Server|AnyCPU' ">
    <Optimize>true</Optimize>
    <OutputPath>..\bin</OutputPath>
    <WarningLevel>4</WarningLevel>
    <DefineConstants>MYSQL;PGSQL;</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Develop|AnyCPU' ">
    <Optimize>false</Optimize>
    <OutputPath>..\bin</OutputPath>
    <WarningLevel>4</WarningLevel>
    <DefineConstants>MYSQL;PGSQL;TRACE</DefineConstants>
  </PropertyGroup>
  <!-- Override when doing automated build -->
  <Choose>
    <When Condition=" '$(mysql)|$(pgsql)' == 'on|on' ">
      <PropertyGroup>
        <DefineConstants>MYSQL;PGSQL;TRACE</DefineConstants>
      </PropertyGroup>
    </When>
    <When Condition=" '$(mysql)' == 'on' ">
      <PropertyGroup>
        <DefineConstants>MYSQL;TRACE</DefineConstants>
      </PropertyGroup>
    </When>
    <When Condition=" '$(pgsql)' == 'on' ">
      <PropertyGroup>
        <DefineConstants>PGSQL;TRACE</DefineConstants>
      </PropertyGroup>
    </When>
    <Otherwise>
      <PropertyGroup>
        <DefineConstants>TRACE</DefineConstants>
      </PropertyGroup>
    </Otherwise>
  </Choose>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Data" />
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <ItemGroup>
    <Compile Include="MySqlFactory.cs" />
    <Compile Include="SqlDatabaseFactory.cs" />
    <Compile Include="PostgreSqlFactory.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Ntp.Data\Ntp.Data.csproj">
      <Project>{03F3B0D9-AC35-43E3-9303-87A71FB73CD1}</Project>
      <Name>Ntp.Data</Name>
    </ProjectReference>
    <ProjectReference Include="..\Ntp.Config\Ntp.Config.csproj">
      <Project>{43A1A769-6ED9-4AE1-821A-43F97814968C}</Project>
      <Name>Ntp.Config</Name>
    </ProjectReference>
  </ItemGroup>
  <Choose>
    <When Condition=" '$(pgsql)' == 'on' ">
      <ItemGroup>
        <ProjectReference Include="..\Npgsql\Npgsql.csproj">
          <Project>{9D13B739-62B1-4190-B386-7A9547304EB3}</Project>
          <Name>Npgsql</Name>
        </ProjectReference>
      </ItemGroup>
    </When>
  </Choose>
  <Choose>
    <When Condition=" '$(mysql)' == 'on' ">
      <ItemGroup>
        <ProjectReference Include="..\MySql\Source\MySql.Data\MySql.Data.csproj">
          <Project>{E9DF5ED1-4CBD-4226-B931-9A51610AC14D}</Project>
          <Name>MySql.Data</Name>
        </ProjectReference>
      </ItemGroup>
    </When>
  </Choose>
</Project>
